Subject: bug#9757: 24.0.90; configuration and compilation for multiple architectures not possible

From: Peter Dyballa <[email-masked]>
Date: Thu, 17 May 2012 00:48:30 +0200

Am 16.05.2012 um 09:28 schrieb Glenn Morris:

> Peter Dyballa wrote:
> 
>> Trying to set up GNU Emacs with Apple means to run on more than one
>> target architecture configuration fails because the configure script
>> does not use the value I set for CPP but insists on using the -E
>> option for CC, which is not allowed in this situation:
> 
> This is bug#9755 again.
> 
> The report continues for some time after this. I'm afraid I have no idea
> what the rest of it is about.

Apple's GGC versions offer the ability to compile a *fat* binary in one compiler run for more than one architecture. This has side-effects, like setting #define's that are changed to fit the target architecture. Another effect is that when the configure script invokes GCC with one of the mentioned flags "-E, -S, -save-temps, -M" it stops working.

The configure scripts of other programmes seem not to use any of these switches, so I can build a fat binary in one step. Meanwhile I think that even when this would work with GNU Emacs' configure script a problem would arise when the unexec step is processed. So there must be a different procedure to build a fat version of GNU Emacs – which also would need to care of the libexec/emacs install targets.

It's probably best to close this bug report.

--
Greetings

  Pete

The most exciting phrase to hear in science, the one that heralds new discoveries, is not "Eureka!" (I found it!) but "That's funny..."
				– Isaac Asimov